Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1384874 (CVE-2016-8667) - CVE-2016-8667 Qemu: hw: dma: divide by zero error in set_next_tick
Summary: CVE-2016-8667 Qemu: hw: dma: divide by zero error in set_next_tick
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-8667
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1384876
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-14 10:37 UTC by Prasad Pandit
Modified: 2021-02-17 03:11 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:00:08 UTC
Embargoed:


Attachments (Terms of Use)

Description Prasad Pandit 2016-10-14 10:37:06 UTC
Quick Emulator(Qemu) built with the JAZZ RC4030 chipset emulation support is
vulnerable to a divide by zero issue. It could occur while computing its
periodic timer's next tick value.

A privileged guest user could use this flaw to crash the Qemu process instance
on the host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg02577.html

Comment 1 Prasad Pandit 2016-10-14 10:37:42 UTC
Acknowledgments:

Name: PSIRT (Huawei Inc.)

Comment 2 Prasad Pandit 2016-10-14 10:38:43 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1384876]

Comment 3 Andrej Nemec 2016-10-17 07:18:06 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/136

Comment 4 Cole Robinson 2017-01-16 18:56:33 UTC
Still not applied. Maybe ping the patch and CC hpoussin who looks to be the last person to do actual work on that file

Comment 5 Cole Robinson 2017-03-14 19:18:26 UTC
Still not upstream, but I pinged the thread


Note You need to log in before you can comment on or make changes to this bug.